OpenNMS API 1.2.9

## org.opennms.netmgt.eventd.db
Class Correlation

    java.lang.Object
      org.opennms.netmgt.eventd.db.Correlation

public class Correlation
extends java.lang.Object

This is an utility class used to format the event correlation info - to be inserted into the 'events' table - it simply returns the correlation as an 'XML' block

Author:
  Sowmya Kumaraswamy , OpenNMS
See Also:
  `Constants.VALUE_TRUNCATE_INDICATOR`

Constructor Summary
`Correlation()`

Method Summary
`static java.lang.String` `format(Correlation ec, int sz)` Format the correlation block to have the xml

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Correlation

    public Correlation()

Method Detail

### format

    public static java.lang.String format(Correlation ec,
                                          int sz)

  Format the correlation block to have the xml

  Parameters:
    `ec` - the correlation
    `sz` - the size to which the formatted string is to be limited to(usually the size of the column in the database)
  Returns:
    the formatted event correlation

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.